export declare type ReplacePath = {
    old: string;
    new: string;
};
export declare type DeletePath = {
    old: string;
    delete: true;
};
export declare type InputPath = DeletePath | ReplacePath;
export declare enum MigrationOutput {
    WriteToFile = "write-to-file",
    JsonObject = "json-object",
    PlistString = "plist-string"
}
export declare type RunTimeOptions = {
    validationEnabled: boolean;
    loggingEnabled: boolean;
    checkReplacementPaths: boolean;
    checkFiles: boolean;
    removeRatingComputed: boolean;
};
export declare const defaultOptions: RunTimeOptions;
export declare type MigrationApiInput<OutputType extends MigrationOutput = MigrationOutput> = {
    libraryFilePath: string;
    replacePaths: Readonly<Readonly<InputPath>[]>;
    outputType?: OutputType;
    options?: Readonly<Partial<RunTimeOptions>>;
};
