"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.migrateLibrary = void 0;
const api_types_1 = require("../api/api-types");
const make_new_library_1 = require("./make-new-library");
const output_library_1 = require("./output-library");
const read_library_1 = require("./reading/read-library");
function migrateLibrary({ libraryFilePath, replacePaths, outputType = api_types_1.MigrationOutput.WriteToFile, options: rawOptions = api_types_1.defaultOptions, }) {
    const options = { ...api_types_1.defaultOptions, ...rawOptions };
    const oldLibrary = read_library_1.readLibraryFile({
        libraryFilePath: libraryFilePath,
        ...options,
    });
    const newLibrary = make_new_library_1.makeNewLibrary({
        oldLibrary,
        replacePaths,
        ...options,
    });
    return output_library_1.outputLibrary({
        libraryFilePath,
        newLibrary,
        outputType,
        ...options,
    });
}
exports.migrateLibrary = migrateLibrary;
