import { ParsedLibrary, ParsedPlaylist, ParsedPlaylistItem, ParsedTrack } from './parsed-types';
declare type AcceptableTypeStrings = 'bigint' | 'boolean' | 'function' | 'number' | 'object' | 'string' | 'symbol' | 'undefined' | 'Buffer' | 'Date';
export declare type ValidationTypes<KeySource> = Readonly<Record<keyof KeySource, {
    type: AcceptableTypeStrings;
    required: boolean;
}>>;
/** The following objects are used for validation purposes */
export declare const parsedLibraryTypes: ValidationTypes<ParsedLibrary>;
export declare const parsedTrackTypes: ValidationTypes<ParsedTrack>;
export declare const parsedPlaylistItemTypes: ValidationTypes<ParsedPlaylistItem>;
export declare const parsedPlaylistTypes: ValidationTypes<ParsedPlaylist>;
export {};
